Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Query parameters for listing memory entries with history

containerTags
string[]
required

Container tags to filter memory entries. At least one tag is required.

Minimum array length: 1
Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
filters
object

Optional filters to apply to the search. Can be a JSON string or Query object.

cursor
string

Opaque cursor from a previous response's pagination.nextCursor. When present, page is ignored and results continue after the last item of the previous page. Filters, sort, order and limit must match the request that produced the cursor.

Required string length: 1 - 2048
limit

Number of items per page

Pattern: ^\d+$
Example:

"10"

order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

page

Page number to fetch

Pattern: ^\d+$
Example:

"1"

sort
enum<string>
default:createdAt

Field to sort by

Available options:
createdAt,
updatedAt
Example:

"createdAt"

Response

Successfully retrieved memory entries

List of memory entries with their history and source documents

memoryEntries
object[]
required
pagination
object
required